commit:     218b7b4d8cf5227f6af719f0fbdb48c9a145dace
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 12 13:03:24 2015 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Dec 12 14:28:35 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=218b7b4d

gnome-base/librsvg: Version bump

Package-Manager: portage-2.2.24

 gnome-base/librsvg/Manifest                        |  1 +
 .../files/librsvg-2.40.12-gtk-optional.patch       | 58 +++++++++++++
 gnome-base/librsvg/librsvg-2.40.12.ebuild          | 99 ++++++++++++++++++++++
 3 files changed, 158 insertions(+)

diff --git a/gnome-base/librsvg/Manifest b/gnome-base/librsvg/Manifest
index f5976a6..bbeeff2 100644
--- a/gnome-base/librsvg/Manifest
+++ b/gnome-base/librsvg/Manifest
@@ -1,3 +1,4 @@
 DIST librsvg-2.40.10.tar.xz 522668 SHA256 
965c807438ce90b204e930ff80c92eba1606a2f6fd5ccfd09335c99896dd3479 SHA512 
e6b630e8332587df414ac5e4e597a4c93ed6f805f378228b7f882f42d03cba68c952e9c1627b3c57dc105cd5ac739a0f6bbe61595c211de0f9e3bd7867904c96
 WHIRLPOOL 
96b37494e8fd37242371e1e7f10bcf616993f172fd75ab86b65a0743a432dad9e201975281625fcb70baad697c615c5624fc97a2783e2356c9fbd0365f5072ad
 DIST librsvg-2.40.11.tar.xz 539428 SHA256 
611ac0f544debd0c9bf1ef5509c990d218e83dd1d8c83297075c4b29796a2e02 SHA512 
89fc4f94150ab47665ab1b6c26979c8072efe40dd74ff13284598cb63de8594e7cfe4b73a151e54002a4811b5de56b93f5d52215ef0862b994d230fafe04b4fc
 WHIRLPOOL 
7c9a0292faf42dd396a59b38c6900a1b78a254c8bd8c724b5636d506c41934d19c924fbf86c2faab7151c065dd134252b78adfd94940b09acd601ef2dc86a5cc
+DIST librsvg-2.40.12.tar.xz 548648 SHA256 
ffe40c4378bf3899f4d679a475726bab03a127a5bdccddec86404cc329ffb550 SHA512 
baf9f2bbf98dfc2df1ac426ac5f665105ad8388676a3eeb0718df9e733e5113924ee0dfc1e8f98371240993dc685f097fbb81ba68dfa9b5f326ca0f7efb3521c
 WHIRLPOOL 
c33c014c16a007be816290877a721fb658c197197650c1aa1dd612631ba5e0513c6c9b73c6925fa29581d6da20633caaec534c3fb1535d0a9526e77180aabbab
 DIST librsvg-2.40.9.tar.xz 519172 SHA256 
13964c5d35357552b47d365c34215eee0a63bf0e6059b689f048648c6bf5f43a SHA512 
17b72b509b0d38b1291a2a0594739fd650622ab2a913a5e0c864e5060b15093fc49e436c9e2494d57b475572183d1059ae50b7a1d44a1d4d071ac5ef3bcbeaf6
 WHIRLPOOL 
59bc56631a212893566fb8ed90e45b3e954f7522c21ee1d7b56987a2cc527c6ea8c43238786b159ab0df43e661108b3b089b4b43845f7d9effb4f064cfde7d12

diff --git a/gnome-base/librsvg/files/librsvg-2.40.12-gtk-optional.patch 
b/gnome-base/librsvg/files/librsvg-2.40.12-gtk-optional.patch
new file mode 100644
index 0000000..b7c5b85
--- /dev/null
+++ b/gnome-base/librsvg/files/librsvg-2.40.12-gtk-optional.patch
@@ -0,0 +1,58 @@
+From 18917f7fd3160afe06019f4b6234aeb78a3fdb4e Mon Sep 17 00:00:00 2001
+From: Ross Burton <[email protected]>
+Date: Tue, 19 Nov 2013 16:00:29 +0000
+Subject: [PATCH] configure: add option to enable/disable use of GTK+
+
+Distro packagers like predictability and automatically detected optional
+dependencies are not predicable.  Add a --with-gtk3 option (default to "auto")
+for forcibly controlling whether GTK+ will be used or not.
+
+Signed-off-by: Ross Burton <[email protected]>
+
+https://bugzilla.gnome.org/show_bug.cgi?id=712693
+---
+ configure.in |   17 +++++++++++------
+ 1 file changed, 11 insertions(+), 6 deletions(-)
+
+diff --git a/configure.in b/configure.in
+index f7a89dc..1498f72 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -119,17 +119,22 @@ AC_CHECK_FUNCS(strtok_r)
+ # GTK
+ # ===========================================================================
+ 
+-PKG_CHECK_MODULES([GTK3],[gtk+-3.0 >= 
$GTK3_REQUIRED],[have_gtk_3=yes],[have_gtk_3=no])
+-
+ GTK3_BINARY_VERSION=
+ 
+-if test "$have_gtk_3" = "yes"; then
+-    GTK3_BINARY_VERSION="`$PKG_CONFIG --variable=gtk_binary_version gtk+-3.0`"
++AC_MSG_CHECKING([whether to use GTK+ 3])
++AC_ARG_WITH([gtk3],
++  [AS_HELP_STRING([--without-gtk3],[Don't build GTK+3 tools (default=auto)])],
++  [],[PKG_CHECK_EXISTS([gtk+-3.0 >= 
$GTK3_REQUIRED],[with_gtk3=yes],[with_gtk3=no])])
++AC_MSG_RESULT([$with_gtk3])
++
++if test "$with_gtk3" = "yes"; then
++  PKG_CHECK_MODULES(GTK3, [gtk+-3.0 >= $GTK3_REQUIRED])
++  GTK3_BINARY_VERSION="`$PKG_CONFIG --variable=gtk_binary_version gtk+-3.0`"
+ fi
+ 
+ AC_SUBST([GTK3_BINARY_VERSION])
+ 
+-AM_CONDITIONAL([HAVE_GTK_3],[test "$have_gtk_3" = "yes"])
++AM_CONDITIONAL([HAVE_GTK_3],[test "$with_gtk3" = "yes"])
+ 
+ dnl 
===========================================================================
+ dnl GDK-Pixbuf SVG loader
+@@ -305,6 +310,6 @@ librsvg-$VERSION
+       Build introspectable bindings:  ${found_introspection}
+       Build Vala bindings:            ${enable_vala}
+       Build GdkPixbuf loader:         ${enable_pixbuf_loader}
+-        GTK+ $GTK3_REQUIRED or later:           ${have_gtk_3}
++        GTK 3.0:                        ${with_gtk3}
+       Build miscellaneous tools:      ${build_misc_tools}
+ "
+-- 
+1.7.10.4
\ No newline at end of file

diff --git a/gnome-base/librsvg/librsvg-2.40.12.ebuild 
b/gnome-base/librsvg/librsvg-2.40.12.ebuild
new file mode 100644
index 0000000..d38ade1
--- /dev/null
+++ b/gnome-base/librsvg/librsvg-2.40.12.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+VALA_USE_DEPEND="vapigen"
+
+inherit autotools gnome2 multilib-minimal vala
+
+DESCRIPTION="Scalable Vector Graphics (SVG) rendering library"
+HOMEPAGE="https://wiki.gnome.org/Projects/LibRsvg";
+
+LICENSE="LGPL-2"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux 
~arm-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris 
~x86-solaris"
+
+IUSE="+introspection vala tools"
+REQUIRED_USE="vala? ( introspection )"
+
+RDEPEND="
+       >=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+       >=x11-libs/cairo-1.12.14-r4[${MULTILIB_USEDEP}]
+       >=x11-libs/pango-1.36.3[${MULTILIB_USEDEP}]
+       >=dev-libs/libxml2-2.9.1-r4:2[${MULTILIB_USEDEP}]
+       >=dev-libs/libcroco-0.6.8-r1[${MULTILIB_USEDEP}]
+       >=x11-libs/gdk-pixbuf-2.30.7:2[introspection?,${MULTILIB_USEDEP}]
+       introspection? ( >=dev-libs/gobject-introspection-0.10.8:= )
+       tools? ( >=x11-libs/gtk+-3.10.0:3 )
+"
+DEPEND="${RDEPEND}
+       dev-libs/gobject-introspection-common
+       dev-libs/vala-common
+       >=dev-util/gtk-doc-am-1.13
+       >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+       vala? ( $(vala_depend) )
+"
+# >=gtk-doc-am-1.13, gobject-introspection-common, vala-common needed by 
eautoreconf
+
+src_prepare() {
+       # https://bugzilla.gnome.org/show_bug.cgi?id=653323
+       epatch "${FILESDIR}/${PN}-2.40.12-gtk-optional.patch"
+
+       # https://bugzilla.gnome.org/show_bug.cgi?id=731826
+       epatch "${FILESDIR}/${PN}-2.40.2-vala-out-of-source.patch"
+
+       eautoreconf
+
+       use vala && vala_src_prepare
+       gnome2_src_prepare
+}
+
+multilib_src_configure() {
+       local myconf=()
+
+       # -Bsymbolic is not supported by the Darwin toolchain
+       if [[ ${CHOST} == *-darwin* ]]; then
+               myconf+=( --disable-Bsymbolic )
+       fi
+
+       # --disable-tools even when USE=tools; the tools/ subdirectory is useful
+       # only for librsvg developers
+       ECONF_SOURCE=${S} \
+       gnome2_src_configure \
+               --disable-static \
+               --disable-tools \
+               $(multilib_native_use_enable introspection) \
+               $(multilib_native_use_with tools gtk3) \
+               $(multilib_native_use_enable vala) \
+               --enable-pixbuf-loader \
+               "${myconf[@]}"
+
+       if multilib_is_native_abi; then
+               ln -s "${S}"/doc/html doc/html || die
+       fi
+}
+
+multilib_src_compile() {
+       # causes segfault if set, see bug #411765
+       unset __GL_NO_DSO_FINALIZER
+       gnome2_src_compile
+}
+
+multilib_src_install() {
+       gnome2_src_install
+}
+
+pkg_postinst() {
+       # causes segfault if set, see bug 375615
+       unset __GL_NO_DSO_FINALIZER
+       multilib_foreach_abi gnome2_pkg_postinst
+}
+
+pkg_postrm() {
+       # causes segfault if set, see bug 375615
+       unset __GL_NO_DSO_FINALIZER
+       multilib_foreach_abi gnome2_pkg_postrm
+}

Reply via email to